Question: Version_Command Tag Problem
0
gravatar for Wolfgang Maier
4.5 years ago by
Germany
Wolfgang Maier440 wrote:
Hi everybody, I'm trying to add the version_command tag to my tools' xml files, but I run into a problem here. Currently I have: <version_command interpreter="python3">aln.py --version</version_command> in my xml. When I run the tool Galaxy tells me that it executed this: python3 /home/me/galaxy-dist/tools/modmapmin/aln.py --version &> /home/me/galaxy-dist/database/tmp/GALAXY_VERSION_STRING_1035 but when I check that temporary file it's empty (and so is the tool version line at the end of the run). This is puzzling because when I run that exact command line from my terminal, it writes 0.8.2 to the file just as it should. Any ideas what goes wrong here? Thanks and best wishes, Wolfgang
galaxy • 592 views
ADD COMMENTlink modified 4.5 years ago by Jennifer Hillman Jackson24k • written 4.5 years ago by Wolfgang Maier440
0
gravatar for Jennifer Hillman Jackson
4.5 years ago by
United States
Jennifer Hillman Jackson24k wrote:
Hi Wolfgang, I am going to re-post your question over to the galaxy-dev mailing list, which is best for local instance questions. To all: please remove the galaxy-user list from any replies. Thanks! Jen Galaxy team -- Jennifer Hillman-Jackson http://galaxyproject.org
ADD COMMENTlink written 4.5 years ago by Jennifer Hillman Jackson24k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 67 users visited in the last hour